Bug 4522 - [UPDATE REQUEST] xfdrake 114 with support for hybrid graphics
: [UPDATE REQUEST] xfdrake 114 with support for hybrid graphics
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-14 13:33 MSD by Andrey Ponomarenko
Modified: 2014-10-16 12:23 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
XFdrake on ASUS N53JF (33.58 KB, image/png)
2014-10-14 13:34 MSD, Andrey Ponomarenko
Details
XFdrake on LENOVO G570 (31.53 KB, image/png)
2014-10-14 13:34 MSD, Andrey Ponomarenko
Details
fgl_glxgears output on LENOVO G570 (166.98 KB, image/png)
2014-10-14 13:35 MSD, Andrey Ponomarenko
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Ponomarenko 2014-10-14 13:33:05 MSD
Please update drakx-kbd-mouse-x11 (XFdrake) to 114 version in ROSA Fresh R4: added support for hybrid graphics (Intel+AMD and Intel+NVidia).

Build lists:

https://abf.rosalinux.ru/build_lists/2299224
https://abf.rosalinux.ru/build_lists/2299225

HOWTO Test this update:

1. Network connection should be established
1. Install XFdrake 114: sudo urpmi drakx-kbd-mouse-x11
2. Run XFdrake
3. Select "Proprietary(fglrx), setup hybrid graphics" on the machine with Intel+AMD or "Proprietary(nvidia340), setup Optimus" on the machine with Intel+NVidia graphics.
4. Select Ok, etc.
5. Reboot
6. Run "fgl_glxgears" on the machine with Intel+AMD or "optirun glxgears" on the machine with Intel+NVidia graphics.
Comment 1 Andrey Ponomarenko 2014-10-14 13:34:25 MSD
Created attachment 3320 [details]
XFdrake on ASUS N53JF
Comment 2 Andrey Ponomarenko 2014-10-14 13:34:58 MSD
Created attachment 3321 [details]
XFdrake on LENOVO G570
Comment 3 Andrey Ponomarenko 2014-10-14 13:35:36 MSD
Created attachment 3322 [details]
fgl_glxgears output on LENOVO G570
Comment 4 Andrey Ponomarenko 2014-10-14 13:46:44 MSD
Advisory: drakx-kbd-mouse-x11 (XFdrake) was updated to 114 version. Fixed support for hybrid graphics (Intel+AMD and Intel+NVidia).

Build lists:

https://abf.rosalinux.ru/build_lists/2299224
https://abf.rosalinux.ru/build_lists/2299225
Comment 5 Vladimir Potapov 2014-10-14 17:21:21 MSD
Не работает для
http://hw.rosalinux.ru/index.php?probe=76866f0f45
Comment 6 Vladimir Potapov 2014-10-14 17:23:53 MSD
Не работает (не предлагает установку) для
http://hw.rosalinux.ru/index.php?probe=8b65cac507
Comment 7 Vladimir Potapov 2014-10-14 17:24:48 MSD
Не работает для
http://hw.rosalinux.ru/index.php?probe=5e96db0e5d
Comment 8 Vladimir Potapov 2014-10-15 11:05:35 MSD
Т.к. в течение дня не исправлено
*************
QA Denied

P.S. Будет новая сборка, необязательно новый запрос создавать.
Делайте новые контейнеры и переподнимайте флаг QA
Comment 9 Andrey Ponomarenko 2014-10-15 12:53:36 MSD
Fixed setup of hybrid graphics for GPU classes 0302 and 0380.

Build lists:

https://abf.io/build_lists/2305490
https://abf.io/build_lists/2305491
Comment 10 Vladimir Potapov 2014-10-16 07:23:28 MSD
drakx-kbd-mouse-x11-0.115-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2305490/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2305491/x86_64/main/release/
************************ Advisory ******************
Fixed setup of hybrid graphics for GPU classes 0302 and 0380.
****************************************************
QA Verified